# Class CIM_RoleLimitedToTarget

The Role object class is used to represent a position or set of responsibilities within an organization, organizational unit or other scope. When explicitly restricting the target elements that may be accessed from this Role, this association MUST be used.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_RoleLimitedToTarget

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The Role object class is used to represent a position or set of responsibilities within an organization, organizational unit or other scope. When explicitly restricting the target elements that may be accessed from this Role, this association MUST be used.
UMLPackagePath | string | CIM::User::Role
Version | string | 2.20.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
DefiningRole | CIM_RoleLimitedToTarget | CIM_Role
TargetElement | CIM_RoleLimitedToTarget | CIM_ManagedElement

## Class Methods